import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'app-show-workspace-info',
  templateUrl: './show-workspace-info.component.html',
  styleUrls: ['./show-workspace-info.component.scss']
})
export class ShowWorkspaceInfoComponent implements OnInit {

  @Input()
  workspaceData:any;



  @Output()
  closeWorkspaceInfo = new EventEmitter<string>();

  @Output()
  Launch = new EventEmitter<string>();
  img_path = './assets/img/CFlanding/';
  constructor() { }

  ngOnInit() {
  }

  closeWorkspace() {
    this.closeWorkspaceInfo.emit('close');
  }

  launchWorkspace() {
    this.Launch.emit('launch');
  }

}
